import { configureAxios, request } from "../requests"

export function refreshSubtitles(type, id, season, episode) {
  switch (type) {
    case "movie":
      var resourceURL = `/movies/${id}`
      return request(
        "MOVIE_SUBTITLES_UPDATE",
        configureAxios().post(`${resourceURL}/subtitles/refresh`),
        null,
        { imdbId: id },
      )
    case "episode":
      var resourceURL = `/shows/${id}/seasons/${season}/episodes/${episode}`
      return request(
        "EPISODE_SUBTITLES_UPDATE",
        configureAxios().post(`${resourceURL}/subtitles/refresh`),
        null,
        {
          imdbId: id,
          season: season,
          episode: episode,
        },
      )
    default:
      console.warn("refreshSubtitles - Unknown type " + type)
  }
}
